Subject: bug#47610: closed (Re: bug#47610: gnome-keyring service doesn't appear)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 23 Apr 2025 12:17:05 +0000

Your bug report

#47610: gnome-keyring service doesn't appear

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47610: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=47610
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47610: gnome-keyring service doesn't appear
From: Maxim Cournoyer <[email-masked]>
To: Leo Prikler <[email-masked]>
Cc: [email-masked], bdju <[email-masked]>
Date: Wed, 23 Apr 2025 21:15:56 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Leo Prikler <[email-masked]> writes:

> Am Mittwoch, den 21.04.2021, 02:35 -0500 schrieb bdju:
>> On Wed Apr 21, 2021 at 2:30 AM CDT, Leo Prikler wrote:
>> > That's quite an interesting observation. Could you tell me what DM
>> > (gdm, sddm, sway) you're using?
> 👆 idiot thinking sway is a DM and not a WM.
>> > 
>> > The gnome-keyring PAM service works by adding an auto_start login
>> > entry, that refers to gnome-keyring's
>> > /lib/security/pam_gnome_keyring.so. I don't think you need GNOME
>> > keyring installed for that to run, but the default configuration
>> > assumes you're running GDM. You will need to adjust it if you use
>> > something else.
>> > 
>> > Regards,
>> > Leo
>> I'm using sway, I launch it with `exec sway` from a tty.
> Since you manually exec sway, you can either configure gnome-keyring-
> service, so that it always runs on login (be aware, that I haven't
> checked that configuration and it might lock you out forever, so use
> rollbacks if that happens), or try to start the keyring manually or
> from sway.

gnome-keyring nowadays should be started at boot automatically for GNOME
users, since commit 43c4d16ad9e.  Other environmentbswill need to follow
a manual setup as outlined in (info "(guix) Desktop Services"),
adjusting the pam-services value.

If you could figure it out, perhaps something that would be useful is to
have an example for non-GDM systems added to the manual.  Until then,
I'll close this issue as it should be solvable through configuration.

-- 
Thanks,
Maxim

Subject: gnome-keyring service doesn't appear
From: "bdju" <[email-masked]>
To: <[email-masked]>
Date: Mon, 05 Apr 2021 23:38:19 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

guix (GNU Guix) 04ba7a196ab23539f1c7897ca5349fa635c5e88d
I am on Guix System.
Gajim told me I needed a keyring to save my password, so I installed
gnome-keyring in my user's manifest. I then also added its service to my
config.scm and did a reconfigure. After all that, I did a `sudo herd
status` and gnome-keyring was not in the list anywhere.